export type FileType = 'image' | 'video' | 'audio'

export function isImage(url: string) {
    return /\.(png|jpe?g|gif|svg)(\?.*)?$/i.test(url)
}

export function isVideo(url: string) {
    return /\.(mp4|m3u8)(\?.*)?$/i.test(url)
}

export function getPoster(url: string) {
    if (!isVideo(url)) {
        return url
    }

    return url + '.jpg'
}
